<?php

namespace App\Http\Controllers;

use App\Models\Magasin;
use App\Models\Produit;
use App\Models\Transfert;
use Illuminate\Http\Request;

class TransfertStockController extends Controller
{
    /**
     * Liste des transfert de stock entre magasin
     */
    public function index()
    {
        $transferts = Transfert::with(['magasinOrigine', 'magasinDestination', 'produit'])->latest()->paginate(15)->withQueryString();
        $magasins = Magasin::orderBy('nom')->get(['id', 'nom']);
        $produits = Produit::orderBy('designation')->get(['id', 'designation', 'reference']);

        return view('transferts.index', compact('transferts', 'magasins', 'produits'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
